/* This is the css file for Day 1 */

body {
    font-family: Arial, Helvetica, sans-serif;
    color: snow;
    background-color: darkslategray;
    font-size: medium;
}

/*Link styling START.  All NAV statments below are related to the navigation bar on the home page.  */

nav ul {
    list-style-type: none;
}
nav li {
    width: 10rem; 
    background-color: gray;
    text-align: center;
    border: 3px solid black;
    margin-bottom: .5rem;
    display: inline-block;
    border-radius: 50%;
}

nav a {
    font-size: 1.5rem;
    color: black;
    font-weight: bold;
    text-decoration: none;
    display: block;
    padding: 0.5rem;

}

nav a:hover {
background-color: white;
}
    

nav a:visited {
    color:gold
}

/*LINK STYLES -  START.  Added "ul" so this styling only applies to items in any UL list excluding the NAV.  */

ul 
a:link {
    font-weight: bold;
    text-decoration: none;
    color: firebrick;
}

a:visited {
    color: orange;
    font-size: 2rem;
    font-weight: normal;
}

a.garden:visited {
    color:green;
}
a:hover {
    color: orange;
    text-decoration: underline;
    background-color: white;

}
/*LINK STYLES -  STOP*/



blockquote {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1rem;
    font-style: italic;
    text-align:center;
}


.roosevelt {
    border: 1px solid lightgrey;
    border-left-width: 5px;
    border-left-color: gold;
    float: center;
    width: 25%;
}

cite {
    font-size: 1.5rem;
}


h1 {
    border: 5px solid black;
    text-align: center;
}

img {
    border: 2px solid lightgrey;
    border-radius: 25px;
    padding: 20px;
    width: 100px;
}




/* ----------------------DEFINED CLASSES--------------------------------------*/

.bigbold {
    font-weight: bold;
    font-size: 1.3rem;
}
.nameheader {
    background-color: aliceblue;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: black;
    font-size: 5rem;
}

.floatright {
    float: right;
    margin: 1rem;
    height: 300px;
    width: 300px;
}
.floatleft {
    float: right;
    margin-right: 1rem;
    margin-bottom: 1rem;
    height: 600px;
    width: 500px;
}

article {
    width: 70rem;
    margin-left: 2rem;
}


.intro1 {
    padding-left: 2rem;
    padding-right: 4rem;
    width: 70%;
    /*border: 5px solid red;*/
}

.hobbypics {
   height: 25px; 
   width: 25px;
   border: 2px solid lightgrey;
   border-radius: 25px;
   padding: 20px;
}
footer {
    text-align: center;
    font-size: 0.8rem;
    list-style-type: none;
}







/*  -----------------------THIS STYLING IS FOR THE PORTFOLIO PAGE ONLY -------------------------*/


/* list style applied to the ul - this is to remove the automatic bullets in an unordered list */
.portfoliotest {
      list-style-type: none;  
      padding: 0;
      margin: 0;
      display: flex;
      flex-flow: row wrap;
      justify-content: space-around;
}


/* class style applied to the li */
.portli {
                border: 3px solid blue;
        flex-basis: 10%;
    }



